SELECT A.LINK_ID, A.F_NODE, A.T_NODE, TRIM(A.ROAD_NAME) ROAD_NAME,                     
       NVL(B.NODE_NAME, '') F_NAME, NVL(C.NODE_NAME, '') T_NAME,                       
       A.ROAD_USE, A.LANES,  A.ROAD_RANK, TRIM(A.ROAD_TYPE) AS ROAD_TYPE, A.ROAD_NO,   
       A.MAX_SPD, A.LINK_LENG, A.DEL_YN, DECODE(A.AREA_CD, 'LAT001', 'Y', 'N') REGN_YN 
  FROM TB_LINK A, TB_NODE B, TB_NODE C                                                 
 WHERE A.F_NODE = B.NODE_ID(+)                                                         
   AND A.T_NODE = C.NODE_ID(+)                                                         
 ORDER BY LINK_ID                                                                      
